## org.hibernate.ejb.criteria
Interface ExpressionImplementor<T>

All Superinterfaces:
  Expression<T>, Renderable, Selection<T>, SelectionImplementor<T>, TupleElement<T>, TupleElementImplementor<T>

All Known Subinterfaces:
  CollectionJoinImplementor<Z,X>, FromImplementor<Z,X>, JoinImplementor<Z,X>, ListJoinImplementor<Z,X>, MapJoinImplementor<Z,K,V>, PathImplementor<X>, SetJoinImplementor<Z,X>

All Known Implementing Classes:
  AbsFunction, AbstractFromImpl, AbstractJoinImpl, AbstractPathImpl, AbstractPredicateImpl, AbstractSimplePredicate, AggregationFunction, AggregationFunction.AVG, AggregationFunction.COUNT, AggregationFunction.GREATEST, AggregationFunction.LEAST, AggregationFunction.MAX, AggregationFunction.MIN, AggregationFunction.SUM, BasicFunctionExpression, BetweenPredicate, BinaryArithmeticOperation, BooleanAssertionPredicate, BooleanExpressionPredicate, BooleanStaticAssertionPredicate, CastFunction, CoalesceExpression, CollectionAttributeJoin, ComparisonPredicate, CompoundPredicate, ConcatExpression, CriteriaSubqueryImpl, CurrentDateFunction, CurrentTimeFunction, CurrentTimestampFunction, EntityTypeExpression, ExistsPredicate, ExplicitTruthValueCheck, ExpressionImpl, InPredicate, IsEmptyPredicate, LengthFunction, LikePredicate, ListAttributeJoin, ListIndexExpression, LiteralExpression, LocateFunction, LowerFunction, MapAttributeJoin, MapEntryExpression, MapKeyHelpers.MapKeyPath, MapKeyHelpers.MapKeySource, MemberOfPredicate, NullifExpression, NullLiteralExpression, NullnessPredicate, ParameterExpressionImpl, ParameterizedFunctionExpression, PathTypeExpression, PluralAttributeJoinSupport, PluralAttributePath, RootImpl, SearchedCaseExpression, SetAttributeJoin, SimpleCaseExpression, SingularAttributeJoin, SingularAttributePath, SizeOfCollectionExpression, SqrtFunction, SubqueryComparisonModifierExpression, SubstringFunction, TrimFunction, UnaryArithmeticOperation, UpperFunction

    public interface ExpressionImplementor<T>

extends SelectionImplementor<T>, Expression<T>, Renderable

TODO : javadoc

Method Summary
`ExpressionImplementor<BigDecimal>` `asBigDecimal()` See `CriteriaBuilder.toBigDecimal(javax.persistence.criteria.Expression<? extends java.lang.Number>)`
`ExpressionImplementor<BigInteger>` `asBigInteger()` See `CriteriaBuilder.toBigInteger(javax.persistence.criteria.Expression<? extends java.lang.Number>)`
`ExpressionImplementor<Double>` `asDouble()` See `CriteriaBuilder.toDouble(javax.persistence.criteria.Expression<? extends java.lang.Number>)`
`ExpressionImplementor<Float>` `asFloat()` See `CriteriaBuilder.toFloat(javax.persistence.criteria.Expression<? extends java.lang.Number>)`
`ExpressionImplementor<Integer>` `asInteger()` See `CriteriaBuilder.toInteger(javax.persistence.criteria.Expression<? extends java.lang.Number>)`
`ExpressionImplementor<Long>` `asLong()` See `CriteriaBuilder.toLong(javax.persistence.criteria.Expression<? extends java.lang.Number>)`
`ExpressionImplementor<String>` `asString()` See `CriteriaBuilder.toString(javax.persistence.criteria.Expression<java.lang.Character>)`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface org.hibernate.ejb.criteria.Renderable
`render, renderProjection`

Method Detail

### asLong

    ExpressionImplementor<Long> asLong()

  See `CriteriaBuilder.toLong(javax.persistence.criteria.Expression<? extends java.lang.Number>)`

  Returns:
    `this` but as a long

### asInteger

    ExpressionImplementor<Integer> asInteger()

  See `CriteriaBuilder.toInteger(javax.persistence.criteria.Expression<? extends java.lang.Number>)`

  Returns:
    `this` but as an integer

### asFloat

    ExpressionImplementor<Float> asFloat()

  See `CriteriaBuilder.toFloat(javax.persistence.criteria.Expression<? extends java.lang.Number>)`

  Returns:
    `this` but as a float

### asDouble

    ExpressionImplementor<Double> asDouble()

  See `CriteriaBuilder.toDouble(javax.persistence.criteria.Expression<? extends java.lang.Number>)`

  Returns:
    `this` but as a double

### asBigDecimal

    ExpressionImplementor<BigDecimal> asBigDecimal()

  See `CriteriaBuilder.toBigDecimal(javax.persistence.criteria.Expression<? extends java.lang.Number>)`

  Returns:
    `this` but as a `BigDecimal`

### asBigInteger

    ExpressionImplementor<BigInteger> asBigInteger()

  See `CriteriaBuilder.toBigInteger(javax.persistence.criteria.Expression<? extends java.lang.Number>)`

  Returns:
    `this` but as a `BigInteger`

### asString

    ExpressionImplementor<String> asString()

  See `CriteriaBuilder.toString(javax.persistence.criteria.Expression<java.lang.Character>)`

  Returns:
    `this` but as a string

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.